/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.filled

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Filled.Replay5: ImageVector
    get() {
        if (_replay5 != null) {
            return _replay5!!
        }
        _replay5 = materialIcon(name = "Filled.Replay5") {
            materialPath {
                moveTo(12.0f, 5.0f)
                verticalLineTo(1.0f)
                lineTo(7.0f, 6.0f)
                lineToRelative(5.0f, 5.0f)
                verticalLineTo(7.0f)
                curveToRelative(3.31f, 0.0f, 6.0f, 2.69f, 6.0f, 6.0f)
                reflectiveCurveToRelative(-2.69f, 6.0f, -6.0f, 6.0f)
                reflectiveCurveToRelative(-6.0f, -2.69f, -6.0f, -6.0f)
                horizontalLineTo(4.0f)
                curveToRelative(0.0f, 4.42f, 3.58f, 8.0f, 8.0f, 8.0f)
                reflectiveCurveToRelative(8.0f, -3.58f, 8.0f, -8.0f)
                reflectiveCurveTo(16.42f, 5.0f, 12.0f, 5.0f)
                close()
            }
            materialPath {
                moveTo(10.69f, 13.9f)
                lineToRelative(0.25f, -2.17f)
                horizontalLineToRelative(2.39f)
                verticalLineToRelative(0.71f)
                horizontalLineToRelative(-1.7f)
                lineToRelative(-0.11f, 0.92f)
                curveToRelative(0.03f, -0.02f, 0.07f, -0.03f, 0.11f, -0.05f)
                reflectiveCurveToRelative(0.09f, -0.04f, 0.15f, -0.05f)
                reflectiveCurveToRelative(0.12f, -0.03f, 0.18f, -0.04f)
                reflectiveCurveToRelative(0.13f, -0.02f, 0.2f, -0.02f)
                curveToRelative(0.21f, 0.0f, 0.39f, 0.03f, 0.55f, 0.1f)
                reflectiveCurveToRelative(0.3f, 0.16f, 0.41f, 0.28f)
                reflectiveCurveToRelative(0.2f, 0.27f, 0.25f, 0.45f)
                reflectiveCurveToRelative(0.09f, 0.38f, 0.09f, 0.6f)
                curveToRelative(0.0f, 0.19f, -0.03f, 0.37f, -0.09f, 0.54f)
                reflectiveCurveToRelative(-0.15f, 0.32f, -0.27f, 0.45f)
                reflectiveCurveToRelative(-0.27f, 0.24f, -0.45f, 0.31f)
                reflectiveCurveToRelative(-0.39f, 0.12f, -0.64f, 0.12f)
                curveToRelative(-0.18f, 0.0f, -0.36f, -0.03f, -0.53f, -0.08f)
                reflectiveCurveToRelative(-0.32f, -0.14f, -0.46f, -0.24f)
                reflectiveCurveToRelative(-0.24f, -0.24f, -0.32f, -0.39f)
                reflectiveCurveToRelative(-0.13f, -0.33f, -0.13f, -0.53f)
                horizontalLineToRelative(0.84f)
                curveToRelative(0.02f, 0.18f, 0.08f, 0.32f, 0.19f, 0.41f)
                reflectiveCurveToRelative(0.25f, 0.15f, 0.42f, 0.15f)
                curveToRelative(0.11f, 0.0f, 0.2f, -0.02f, 0.27f, -0.06f)
                reflectiveCurveToRelative(0.14f, -0.1f, 0.18f, -0.17f)
                reflectiveCurveToRelative(0.08f, -0.15f, 0.11f, -0.25f)
                reflectiveCurveToRelative(0.03f, -0.2f, 0.03f, -0.31f)
                reflectiveCurveToRelative(-0.01f, -0.21f, -0.04f, -0.31f)
                reflectiveCurveToRelative(-0.07f, -0.17f, -0.13f, -0.24f)
                reflectiveCurveToRelative(-0.13f, -0.12f, -0.21f, -0.15f)
                reflectiveCurveToRelative(-0.19f, -0.05f, -0.3f, -0.05f)
                curveToRelative(-0.08f, 0.0f, -0.15f, 0.01f, -0.2f, 0.02f)
                reflectiveCurveToRelative(-0.11f, 0.03f, -0.15f, 0.05f)
                reflectiveCurveToRelative(-0.08f, 0.05f, -0.12f, 0.07f)
                reflectiveCurveToRelative(-0.07f, 0.06f, -0.1f, 0.09f)
                lineTo(10.69f, 13.9f)
                close()
            }
        }
        return _replay5!!
    }

private var _replay5: ImageVector? = null
